Bug 9761 - Kickstart has n>o (obvious) way to specify not to mkfs partitions
Summary: Kickstart has n>o (obvious) way to specify not to mkfs partitions
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 6.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Erik Troan
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-02-24 18:59 UTC by Jonathan Peatfield
Modified: 2008-05-01 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-06-12 18:19:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jonathan Peatfield 2000-02-24 18:59:25 UTC
If one is re-installing a machine (not upgrading) it is not obvious
(if possible) to specify that partitions shoudl be added to fstab but
they take no part in the RH install (e.g. user home directories, private
(ssh) keys etc).

Clearly one can add them into fstab in the postinstall, but if they are on
the same disk as /,/usr (etc) it seems hard to leave those bits of the
partition table alone.

In JumpStart, one may specify "preserve" after a partition definition to
specify that it should be left intact.  In the Sun model this means that
all partitions need to remain as they did before (just leaving the
preserved ones where they are ought to be sufficient).

I tried following the partition logic in the python but got lost trying to
follow the class/object stuff from kickstart.py (It does say it is magic).

This is true in 6.1 (etc) as well but clearly work is being done here as
--ondisk was added recently...

[ This reminds me, why no pre-install script? ]

 -- Jon

Comment 1 Jay Turner 2000-04-13 18:25:59 UTC
This issue has been forwarded to a developer for further action.

Comment 2 Michael Fulbright 2000-06-12 18:19:36 UTC
The latest installer code in development will have a pre-install section
as well as more options for partitioning and mounting existing partitions.


Note You need to log in before you can comment on or make changes to this bug.